const express = require("express");
const accountsRoute = require('./routes/accountRoute');
const server = express();
server.use(express.json());

server.use('/api/accounts', accountsRoute);


server.get('/', (req, res) =>
	res.status(200).send('<h2>Welcome to Meeting Planner Backend API service.</h2>'),
);

module.exports = server;
